Mailinglist Archive: opensuse (3666 mails)

< Previous Next >
Re: [SLE] KDE 3.4 for SuSE 8.2?
  • From: Andreas Philipp <andreas.philipp@xxxxxxxxxxxx>
  • Date: Sun, 20 Mar 2005 10:10:13 -0500
  • Message-id: <200503201010.15770.andreas.philipp@xxxxxxxxxxxx>
Guillermo,

El Dom 20 Mar 2005 06:42, Guillermo Ballester Valor escribió:
> Any SuSE 8.2 brave
> out there has installed it with success?

I am not brave but impatient, and so I did install KDE 3.4 from source on SuSE
8.2, using the Konstruct scripts from the KDE web site.

> Will SuSE release all KDE 3.4 packages for SuSE 8.2?. Are there any
> problems on them?

I didn't get any answers when asking the same questions a couple of days ago.
Obviously, most list members simply can't know, and SuSE employees reading
the list might not wish to answer or might not know, either.

Installing from source is perfectly possible and reasonably easy, if you use
the Konstruct scripts. Most dependencies are being recursively resolved by
Konstruct, which downloads, unpacks, configures, compiles and installs
automagically the dependent package tarballs, and those which are not, in
most cases are such as can be resolved getting and installing the respective
devel-RPMs from the SuSE ftp site.

My PC was already up-to-date with regard to many graphics and multimedia
libraries not being offered by SuSE for 8.2 in recent versions - this might
have made the install a little less challenging, Recently I had compiled Gimp
2.2.3 from source, which had forced me to install many dependencies from
source, as well. There is one point, however, which must be taken into
account when installing KDE 3.4 on SuSE 8.2. On this list there have been
several threads with people complaining that KMail's smtp protocol handler
(integrated into KDE as a kio-slave) would fail after the update. The reason,
as noted by several on the list, is the dependency on the cyrus-sasl
libraries for authentication. I had all cyrus-sasl libraries installed from
the 1993 8.2 distribution, but after the KMail update I nevertheless was not
able to send mail to my own or other smtp servers. The error message I got
was different from those other people have reported, and there was no mention
of SASL. Yet it turned out that KDE 3.4 depends on a more recent version of
SASL than the 2.0.12 included in SuSE 8.2 You will have to get the 2.0.20
cyrus-sasl2 source tarball and compile it by hand, configuring it with the
--prefix=/usr switch to have it install into the location where SuSE RPMs are
installed by default. Doing so resolves the KMail problem and all is fine.

Other than that, until now all has been going fine. On my P3/850 it is taking
a long time - kdelibs and kdebase approx. 12 hours - but today I hopefully
will be going to complete the update.

Así - sé valiente y lánzate al agua fría!
--
Andreas Philipp
Noema Ltda.
Bogotá, D.C. - Colombia
http://www.noemasol.com

< Previous Next >